<?php
namespace Modules\WeeklySpecial\Services;
use Modules\WeeklySpecial\Repositories\Interfaces\WeeklySpecialRepositoryInterface;

class WeeklySpecialService
{
    public function __construct(
        private WeeklySpecialRepositoryInterface $repository
    ) {}

    public function getAll(): \Illuminate\Database\Eloquent\Collection
    {
        return $this->repository->getActive();
    }
}
